#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# test suite

%define		module decorator
Summary:	Bunch of nice decorators for Python 2
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 2
Name:		python-%{module}
# keep 4.x here for python2 support
Version:	4.4.2
Release:	7
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/decorator/
Source0:	https://files.pythonhosted.org/packages/source/d/decorator/%{module}-%{version}.tar.gz
# Source0-md5:	d83c624cce93e6bdfab144821b526e1d
Source1:	https://raw.githubusercontent.com/micheles/decorator/%{version}/docs/documentation.md
# Source1-md5:	e98a2c67526f4fb98053399c2de83f11
URL:		https://pypi.org/project/decorator/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bunch of nice decorators for Python 2 like memoize, tracing,
redirecting_stdout, locked.

%description -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 2: memoize, tracing,
redirecting_stdout, locked...

%package -n python3-%{module}
Summary:	Bunch of nice decorators for Python 3
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 3
Group:		Libraries/Python

%description -n python3-%{module}
Bunch of nice decorators for Python 3 like memoize, tracing,
redirecting_stdout, locked.

%description -n python3-%{module} -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 3: memoize, tracing,
redirecting_stdout, locked...

%package doc
Summary:	Documentation for decorator module in PDF format
Summary(pl.UTF-8):	Dokumentacja modułu decorator w formacie PDF
Group:		Documentation

%description doc
Documentation for decorator module in PDF format.

%description doc -l pl.UTF-8
Dokumentacja modułu decorator w formacie PDF.

%prep
%setup -q -n %{module}-%{version}

cp -p %{SOURCE1} .

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.txt README.rst
%{py_sitescriptdir}/decorator.py[co]
%{py_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.txt README.rst
%{py3_sitescriptdir}/decorator.py
%{py3_sitescriptdir}/__pycache__/decorator.cpython-*.py[co]
%{py3_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc documentation.md
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-decorator.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 761f19a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7a482c8
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 742869e
- rebuild with tests and docs

* Sat Mar 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 157fcc1
- python2 note

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6f637a4
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4d767b1
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a3e9e7f
- release 2 (by relup.sh)

* Sat Apr 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 293a599
- updated to 4.4.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 171ba7a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Sep 17 2019 Jakub Bogusz <qboosh@pld-linux.org> a4fd0b0
- updated to 4.4.0

* Tue Jul 17 2018 Jakub Bogusz <qboosh@pld-linux.org> a505c87
- updated to 4.3.0
- .pdf no longer included in sources, take from external docs on readthedocs.org

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e0e8d3
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 3ca93b9
- updated to 4.0.11, run tests

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 69c8f1c
- python 3.6
- release 2 (by relup.sh)

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> a3525a9
- updated to 4.0.9

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 56db354
- use rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 771173a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d0a06ff
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 703618a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7023a04
- python3.5 rebuild
- release 5 (by relup.sh)

